## neutron 18.6.0

=== debian/changelog ===
neutron (2:18.6.0-2~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release:
    - Include fix for CVE-2022-3277: The attempt to list security groups
    for a project, or any random string, can create a default SG for it.
    (Closes: #858619).
  * Now (build-)depends on ovsdbapp >= 1.9.3 and pyroute2 >= 0.6.6.
  * Removed revert-l3-ha-retry-when-setting-ha-router-gw-status.patch applied
    upstream.
  * Add Allow_shared_net_to_be_added_on_router.patch.
  * Add Change-API-to-validate-network-MTU-minimums.patch.
  * Blacklist 2 tests now failing:
    - test_enable_subnet_dhcp_options_in_ovn_ipv6
    - test_update_subnet_dhcp_options_in_ovn_ipv6_not_change
  * Add d/neutron-l3-agent.logrotate.
  * d/*.service.in: fix group ownership of /var/log/neutron.
  * Add CUSTOM_SYSTEMD_SERVICE_DIRECTIVES="KillMode=process" to be able to
    gracefully restart neutron-l3-agent.
  * Add Dont_set_HA_ports_down_while_L3_agent_restart.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-wallaby.debian.net>  Wed, 25 Jun 2025 12:22:11 +0000

neutron (2:18.1.1-2) unstable; urgency=medium

  * Add revert-l3-ha-retry-when-setting-ha-router-gw-status.patch

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 02 Nov 2021 12:43:28 +0100

neutron (2:18.1.1-1) unstable; urgency=medium

  * d/patches: Remove CVE-2021-40085...character.patch
  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 12 Oct 2021 13:21:16 +0200

neutron (2:18.1.0-3) unstable; urgency=medium

  * CVE-2021-40085: By supplying a specially crafted extra_dhcp_opts value, an
    authenticated user may add arbitrary configuration to the dnsmasq process
    in order to crash the service, change parameters for other tenants sharing
    the same interface, or otherwise alter that daemon's behavior. This
    vulnerability may also be used to trigger a configuration parsing buffer
    overflow in versions of dnsmasq prior to 2.81, which could lead to remote
    code execution. All Neutron deployments are affected. Added upstream
    patch: Remove dhcp_extra_opt value after first newline character.
    (Closes: #993398)

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Sep 2021 17:00:21 +0200

neutron (2:18.1.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 12:05:19 +0200

neutron (2:18.1.0-1) experimental; urgency=medium

  * New upstream release.
  * d/patches:
    - Remove CVE-2021-20267_Restrict_IPv6_NA_and_DHCPv6_IP_and_MAC_source_addresses.patch

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 14 Jul 2021 10:40:01 +0200

neutron (2:18.0.0-6) experimental; urgency=medium

  * Add iptables-dependency (Closes: #990342).

 -- Michal Arbet <michal.arbet@ultimum.io>  Sat, 26 Jun 2021 10:52:43 +0200

neutron (2:18.0.0-5) experimental; urgency=medium

  * CVE-2021-20267: Anti-spoofing bypass using Open vSwitch. Applied upstream
    patch: Restrict_IPv6_NA_and_DHCPv6_IP_and_MAC_source_addresses.patch
    (Closes: #985104).

 -- Thomas Goirand <zigo@debian.org>  Mon, 17 May 2021 23:02:53 +0200

neutron (2:18.0.0-4) experimental; urgency=medium

  * Remove previous (wrong) fix and correctly generate metadata_agent.ini in
    the /usr/share/neutron-metadata-agent/ folder of the neutron-metadata-agent
    package.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Apr 2021 19:15:24 +0200

neutron (2:18.0.0-3) experimental; urgency=medium

  * Add missing "pkgos_write_new_conf neutron metadata_agent.ini" in
    neutron-metadata-agent.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Apr 2021 17:38:28 +0200

neutron (2:18.0.0-2) experimental; urgency=medium

  * neutron-common: do not manage metadata_agent.ini, and let the
    neutron-metadata-agent package do it. Thanks to Andreas Beckmann for the
    bug report. (Closes: #987196).

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Apr 2021 12:16:51 +0200

neutron (2:18.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Apr 2021 18:56:28 +0200

neutron (2:18.0.0~rc1-1) experimental; urgency=medium

  * Tune neutron-api-uwsgi.ini for performance.
  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.
  * Fixed (build-)depends for this release.
  * Removed Floating_IP_s_for_routed_networks.patch applied upstream.
  * Add missing iproute2 build-depends.
  * Blacklist all of the test_ovsdb_monitor.TestOvnIdlDistributedLock class.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Mar 2021 23:47:31 +0100

=== debian/control ===
Source: neutron
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
 Gustavo Panizzo <gfa@zumbi.com.ar>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 135~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 bridge-utils,
 iproute2,
 python3-astroid,
 python3-cliff,
 python3-coverage,
 python3-ddt,
 python3-debtcollector,
 python3-decorator,
 python3-designateclient,
 python3-eventlet,
 python3-fixtures,
 python3-flake8,
 python3-futurist,
 python3-gevent,
 python3-hacking,
 python3-httplib2,
 python3-isort,
 python3-jinja2,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-netaddr,
 python3-netifaces,
 python3-neutron-lib (>= 2.10.1),
 python3-neutronclient,
 python3-novaclient,
 python3-openssl,
 python3-openstackdocstheme,
 python3-openstacksdk,
 python3-openvswitch,
 python3-os-ken,
 python3-os-vif,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.privsep,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-osprofiler,
 python3-ovsdbapp (>= 1.9.3),
 python3-packaging,
 python3-paste,
 python3-pastedeploy,
 python3-pecan,
 python3-pep8,
 python3-psutil,
 python3-pymysql,
 python3-pyroute2 (>= 0.6.6),
 python3-pyudev,
 python3-requests,
 python3-routes,
 python3-sphinx-feature-classification,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-tempest,
 python3-tenacity,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-tooz,
 python3-unittest2,
 python3-webob,
 python3-webtest,
 tempest,
Standards-Version: 4.4.1
Homepage: http://neutron.openstack.org/
Vcs-Browser: https://salsa.debian.org/openstack-team/services/neutron
Vcs-Git: https://salsa.debian.org/openstack-team/services/neutron.git

Package: neutron-api
Architecture: all
Depends:
 adduser,
 debconf,
 neutron-common (= ${source:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Breaks:
 neutron-server (<< 2:12.0.2-5~),
Replaces:
 neutron-server (<< 2:12.0.2-5~),
Description: OpenStack virtual network service - API service
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron API server.

Package: neutron-common
Architecture: all
Breaks:
 python3-networking-ovn,
Replaces:
 python3-networking-ovn,
Depends:
 adduser,
 dbconfig-common,
 debconf,
 dpkg-dev,
 python3-neutron (= ${source:Version}),
 python3-openstackclient,
 python3-pyparsing,
 python3-sqlalchemy,
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 neutron-plugin,
 neutron-plugin-bigswitch,
 neutron-plugin-brocade,
 neutron-plugin-cisco,
 neutron-plugin-hyperv,
 neutron-plugin-linuxbridge,
 neutron-plugin-metaplugin,
 neutron-plugin-ml2,
 neutron-plugin-nec,
 neutron-plugin-nicira,
 neutron-plugin-openvswitch,
 neutron-plugin-plumgrid,
 neutron-plugin-ryu,
 python3-networking-ovn,
Description: OpenStack virtual network service - common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the common files.

Package: neutron-dhcp-agent
Architecture: all
Depends:
 adduser,
 dnsmasq-base,
 dnsmasq-utils,
 haproxy,
 neutron-common (= ${source:Version}),
 iptables,
 sudo,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack virtual network service - DHCP agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the DHCP agent.

Package: neutron-doc
Architecture: all
Build-Profiles: <!nodoc>
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack virtual network service - doc
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the documentation.

Package: neutron-l3-agent
Architecture: all
Depends:
 adduser,
 debconf,
 haproxy,
 iputils-arping,
 iptables,
 keepalived,
 neutron-common (= ${source:Version}),
 radvd,
 sudo,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Recommends:
 openvswitch-switch,
Conflicts:
 neutron-vpn-agent,
Description: OpenStack virtual network service - l3 agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the l3 agent.

Package: neutron-linuxbridge-agent
Architecture: all
Provides:
 neutron-plugin-linuxbridge-agent,
Depends:
 bridge-utils,
 ebtables,
 neutron-common (= ${source:Version}),
 sudo,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack virtual network service - Linux bridge agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Linux bridge agent. If you choose to use the Linux
 bridge plugin on neutron-server, this agent should run on each compute node.

Package: neutron-macvtap-agent
Architecture: all
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
 ${shlibs:Depends},
Description: OpenStack virtual network service - MacVTap Agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the MacVTap Agent.

Package: neutron-metadata-agent
Architecture: all
Depends:
 adduser,
 haproxy,
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack virtual network service - metadata agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the metadata proxy agent.

Package: neutron-metering-agent
Architecture: all
Depends:
 adduser,
 debconf,
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Provides:
 neutron-plugin-metering-agent,
Description: OpenStack virtual network service - metering agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron metering agent.

Package: neutron-openvswitch-agent
Architecture: all
Pre-Depends:
 openvswitch-switch,
Provides:
 neutron-plugin-openvswitch-agent,
Depends:
 neutron-common (= ${source:Version}),
 sudo,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Recommends:
 openvswitch-datapath-dkms,
Description: OpenStack virtual network service - Open vSwitch agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Open vSwitch agent. If you choose to use the Open
 vSwitch plugin on neutron-server, this agent should run on each compute node.

Package: neutron-ovn-metadata-agent
Architecture: all
Depends:
 neutron-common (= ${source:Version}),
 sudo,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - OVN Metadata Agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the OVN Metadata Agent.

Package: neutron-plugin-nec-agent
Architecture: all
Depends:
 neutron-common (= ${source:Version}),
 sudo,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - NEC agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the NEC plugin agent.

Package: neutron-rpc-server
Architecture: all
Depends:
 adduser,
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack virtual network service - RPC service
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron RPC server.

Package: neutron-server
Architecture: all
Depends:
 neutron-api (= ${source:Version}),
 neutron-rpc-server (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - metapackage for the server
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 As the Debian packages switched to Python 3, it isn't possible to run using
 Eventlet (ie: the standalone neutron-server daemon) if we use SSL, because of
 defects in python3-eventlet. So the Debian package maitainer decided to switch

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

DHCP_CONF=$(CURDIR)/debian/neutron-common/usr/share/neutron-common/dhcp_agent.ini
L3_CONF=$(CURDIR)/debian/neutron-common/usr/share/neutron-common/l3_agent.ini
ML2_CONF=$(CURDIR)/debian/neutron-common/usr/share/neutron-common/plugins/ml2/ml2_conf.ini
OVS_CONF=$(CURDIR)/debian/neutron-common/usr/share/neutron-common/plugins/ml2/openvswitch_agent.ini
N_CONF=$(CURDIR)/debian/neutron-common/usr/share/neutron-common/neutron.conf

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	python3 setup.py clean
	find . -type f -name "*.pyc" | xargs rm -fr
	rm -rf build neutron.egg-info .stestr
	rm -f debian/neutron-common.config \
		debian/neutron-common.postinst \
		debian/neutron-api.config \
		debian/neutron-api.postinst \
		debian/neutron-dhcp-agent.postinst \
		debian/neutron-metadata-agent.config \
		debian/neutron-metadata-agent.postinst \
		debian/neutron-common.postrm
	rm -f debian/*.init debian/*.service debian/*.upstart debian/neutron-common.templates

override_dh_clean:
	dh_clean
	find . -type f -name "*.pyc" -delete
	rm -f AUTHORS ChangeLog

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-dhcp-agent.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-metadata-agent.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-metadata-agent.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-openvswitch-agent.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-openvswitch-agent.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm neutron-common.postrm
	pkgos-merge-templates neutron-api neutron endpoint
	pkgos-merge-templates neutron-common neutron db rabbit ksat

override_dh_auto_test:
	echo "Doing nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	python3 setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'neutron\.tests\.unit\.(?!.*test_wsgi.*|.*agent\.dhcp\.test_agent\.TestDhcpAgent\.test_dhcp_agent_manager.*|.*common\.test_utils\.TestDelayedStringRenderer\.test_not_called_with_low_log_level.*|.*services\.trunk\.drivers\.openvswitch\.agent\.test_ovsdb_handler\.TestOVSDBHandler\.test_handle_trunk_remove_trunk_manager_failure.*|.*agent\.l3\.test_agent\.TestBasicRouterOperations\.test_interface_driver_init.*|.*plugins\.ml2\.drivers\.openvswitch\.agent\.test_ovs_tunnel\.TunnelTestUseVethIntercoOSKen\.test_daemon_loop.*|.*plugins\.ml2\.drivers\.openvswitch\.agent\.test_ovs_tunnel\.TunnelTestOSKen\.test_daemon_loop.*|.*plugins\.ml2\.drivers\.openvswitch\.agent\.test_ovs_tunnel\.TunnelTestWithMTUOSKen\.test_daemon_loop.*|.*plugins\.ml2\.drivers\.openvswitch\.agent\.test_ovs_neutron_agent\.TestOvsNeutronAgentOSKen\.test_fdb_add_flows.*|.*plugins\.ml2\.drivers\.openvswitch\.agent\.test_ovs_neutron_agent\.TestOvsNeutronAgentOSKen\.test_fdb_del_flows.*|.*test_manager\.NeutronManagerTestCase\.test_service_plugin_is_loaded.*|.*plugins\.ml2\.drivers\.ovn\.mech_driver\.ovsdb\.test_ovsdb_monitor\.TestOvnIdlDistributedLock.*|plugins\.ml2\.drivers\.ovn\.mech_driver\.test_mech_driver\.TestOVNMechanismDriver\.test_enable_subnet_dhcp_options_in_ovn_ipv6|plugins\.ml2\.drivers\.ovn\.mech_driver\.test_mech_driver\.TestOVNMechanismDriver\.test_update_subnet_dhcp_options_in_ovn_ipv6_not_change)'
endif

	cp -auxf neutron $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages
	rm -rf $(CURDIR)/debian/tmp/usr/etc

	# dhcp_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-common/usr/share/neutron-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-common/usr/share/neutron-common/dhcp_agent.ini \
		--wrap-width 140 \
		--namespace neutron.az.agent \
		--namespace neutron.base.agent \
		--namespace neutron.dhcp.agent \
		--namespace oslo.log

	pkgos-fix-config-default $(DHCP_CONF) DEFAULT interface_driver openvswitch
	pkgos-fix-config-default $(DHCP_CONF) DEFAULT enable_isolated_metadata True

	# l3_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-common/usr/share/neutron-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-common/usr/share/neutron-common/l3_agent.ini \
		--wrap-width 140 \
		--namespace neutron.az.agent \
		--namespace neutron.base.agent \
		--namespace neutron.l3.agent \
		--namespace oslo.log

	pkgos-fix-config-default $(L3_CONF) DEFAULT interface_driver openvswitch
	pkgos-fix-config-default $(L3_CONF) DEFAULT external_network_bridge br-ex
	pkgos-fix-config-default $(L3_CONF) DEFAULT ovs_use_veth False

	# linuxbridge_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-linuxbridge-agent/etc/neutron/plugins/ml2
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-linuxbridge-agent/etc/neutron/plugins/ml2/linuxbridge_agent.ini \
		--wrap-width 140 \
		--namespace neutron.ml2.linuxbridge.agent \
		--namespace oslo.log

	# macvtap_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-macvtap-agent/etc/neutron/plugins/ml2
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-macvtap-agent/etc/neutron/plugins/ml2/macvtap_agent.ini \
		--wrap-width 140 \
		--namespace neutron.ml2.macvtap.agent \
		--namespace oslo.log

	# metadata_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent/metadata_agent.ini \
		--wrap-width 140 \
		--namespace neutron.metadata.agent \
		--namespace oslo.log \
		--namespace oslo.cache
#	sed -i 's|^[ #\t]*nova_metadata_protocol[ \t]*=.*|nova_metadata_protocol = http|' $(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent/metadata_agent.ini
#	sed -i 's|^[ #\t]*nova_metadata_ip[ \t]*=.*|nova_metadata_ip = 127.0.0.1|' $(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent/metadata_agent.ini

	# metering_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-metering-agent/etc/neutron
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-metering-agent/etc/neutron/metering_agent.ini \
		--wrap-width 140 \
		--namespace neutron.base.agent \
		--namespace neutron.metering.agent \
		--namespace oslo.log

	# ml2_conf.ini
	mkdir -p $(CURDIR)/debian/neutron-common/usr/share/neutron-common/plugins/ml2
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-common/usr/share/neutron-common/plugins/ml2/ml2_conf.ini \
		--wrap-width 140 \
		--namespace neutron.ml2 \
		--namespace oslo.log

	pkgos-fix-config-default $(ML2_CONF) ml2 type_drivers flat,vxlan
	pkgos-fix-config-default $(ML2_CONF) ml2 tenant_network_types vxlan
	pkgos-fix-config-default $(ML2_CONF) ml2 mechanism_drivers openvswitch,l2population
	pkgos-fix-config-default $(ML2_CONF) ml2_type_flat flat_networks external
	pkgos-fix-config-default $(ML2_CONF) ml2_type_vxlan vni_ranges 1:1000
	pkgos-fix-config-default $(ML2_CONF) securitygroup enable_security_group True

## neutron 19.0.0

=== debian/changelog ===
neutron (2:19.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 19.x series
  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Oct 2021 09:44:47 -0400

neutron (2:18.1.1+git2021091315.0fa97ecceb-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Sep 2021 15:06:55 -0400

neutron (2:18.1.0+git2021090913.64bfeae21c-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Drop neutron-fwaas dependency as it is no longer maintained
    (LP: #1934129).
  * d/p/revert-rely-on-worker-count-for-hashring-caching.patch: Dropped.
    Fixed upstream by https://review.opendev.org/c/openstack/neutron/+/800679.
  * d/p/revert-sqlalchemy-upgrade.patch: Rebased.
  * d/p/revert-l3-ha-retry-when-setting-ha-router-gw-status.patch: Dropped.
    Fixed in new upstream snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Sep 2021 13:01:27 -0400

neutron (2:18.1.0+git2021072117.147830620f-0ubuntu2) impish; urgency=medium

  * d/p/revert-l3-ha-retry-when-setting-ha-router-gw-status.patch: Revert
    upstream patch that introduced regression that prevented full restore
    of HA routers on restart of L3 agent (LP: #1927868).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Jul 2021 16:40:07 -0400

neutron (2:18.1.0+git2021072117.147830620f-0ubuntu1) impish; urgency=medium

  [ Hemanth Nakkina ]
  * d/p/0001-Update-arp-entry-of-snat-port-on-qrouter-ns.patch: Fix to
    update arp entry of snat port on qrouter ns (LP: #1933092)

  [ Corey Bryant ]
  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Rebased.
  * d/p/0001-Update-arp-entry-of-snat-port-on-qrouter-ns.patch: Dropped.
    Fixed in upstream snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 17:22:28 -0400

neutron (2:18.0.0+git2021061405.f042d690be-0ubuntu3) impish; urgency=medium

  * d/p/revert-sqlalchemy-upgrade.patch: Downgrade upstream requirement
    to match what is in Ubuntu.
  * d/control: Re-Add sqlalchemy upgrade.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 28 Jun 2021 08:10:24 +0000

neutron (2:18.0.0+git2021061405.f042d690be-0ubuntu2) impish; urgency=medium

  * d/control: Revert package upgrade to newer sqlalchemy.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 28 Jun 2021 06:24:47 +0000

neutron (2:18.0.0+git2021061405.f042d690be-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/initialize-privsep-library-*,
    d/p/remove-leading-zeroes-from-an-ip-address.patch: Removed as patch is landed
    upstream.
  * d/neutron-common.install: Remove not needed rootwrap filters.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 14 Jun 2021 13:37:21 +0000

neutron (2:18.0.0-0ubuntu3) impish; urgency=medium

  * d/p/revert-rely-on-worker-count-for-hashring-caching.patch: Revert
    patch due to SR-IOV regression (LP: #1931244).
  * d/p/remove-leading-zeroes-from-an-ip-address.patch: Cherry-picked from
    upstream to fix failing test (LP: #1930222).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Jun 2021 10:52:23 -0400

=== debian/control ===
Source: neutron
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 4.0.0),
 python3-setuptools,
Build-Depends-Indep:
 crudini,
 iproute2,
 python3-alembic (>= 1.6.5),
 python3-astroid (>= 2.3.3),
 python3-bandit (>= 1.1.0),
 python3-bashate (>= 0.5.1),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-debtcollector (>= 1.19.0),
 python3-decorator (>= 3.4.0),
 python3-designateclient (>= 2.7.0),
 python3-eventlet (>= 0.25.1),
 python3-fixtures (>= 3.0.0),
 python3-futurist (>= 1.2.0),
 python3-hacking,
 python3-httplib2 (>= 0.9.1),
 python3-isort (>= 4.3.21),
 python3-jinja2 (>= 2.10),
 python3-keystoneauth1 (>= 3.14.0),
 python3-keystonemiddleware (>= 5.1.0),
 python3-mock (>= 3.0.0),
 python3-netaddr (>= 0.7.18),
 python3-netifaces (>= 0.10.4),
 python3-neutron-lib (>= 2.15.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openssl (>= 17.1.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openstacksdk (>= 0.31.2),
 python3-openvswitch (>= 2.10.0),
 python3-os-ken (>= 2.0.0),
 python3-os-resource-classes (>= 1.1.0),
 python3-os-testr (>= 1.0.0),
 python3-os-vif (>= 1.15.1),
 python3-os-xenapi (>= 0.3.1),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:8.0.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 4.5.0),
 python3-oslo.messaging (>= 7.0.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.privsep (>= 2.3.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.31.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslo.versionedobjects (>= 1.35.1),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 2.3.0),
 python3-ovsdbapp (>= 1.11.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pecan (>= 1.3.2),
 python3-pep8,
 python3-psutil (>= 5.3.0),
 python3-pycodestyle (>= 2.0.0),
 python3-pymysql (>= 0.7.6),
 python3-pyroute2 (>= 0.5.14),
 python3-requests (>= 2.18.0),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-sphinx (>= 2.0.0),
 python3-sphinx-feature-classification (>= 1.0.0),
 python3-sqlalchemy (>= 1.3.22),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-tempest (>= 1:16.1.0),
 python3-tenacity (>= 6.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 1.58.0),
 python3-webob (>= 1:1.8.2),
 python3-webtest (>= 2.0.27),
 rename,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron
Homepage: https://opendev.org/openstack/neutron

Package: neutron-common
Architecture: all
Depends:
 adduser,
 ipset,
 ${misc:Depends},
 ${python3:Depends},
Description: Neutron is a virtual network service for Openstack - common
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 python-pbr (>= 2.0.0),
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the common files.

Package: neutron-dhcp-agent
Architecture: all
Depends:
 dnsmasq-base (>= 2.76),
 dnsmasq-utils (>= 2.76),
 neutron-metadata-agent (= ${source:Version}),
 python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - DHCP agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the DHCP agent.

Package: neutron-l3-agent
Architecture: all
Depends:
 conntrack,
 iputils-arping,
 keepalived,
 neutron-metadata-agent (= ${source:Version}),
 python3-neutron (= ${source:Version}),
 radvd,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - l3 agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the layer 3 routing agent.

Package: neutron-linuxbridge-agent
Architecture: all
Depends:
 bridge-utils,
 conntrack,
 ebtables,
 python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - linuxbridge agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the linuxbridge plugin agent.

Package: neutron-macvtap-agent
Architecture: all
Depends:
 python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - Macvtap L2 Agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Macvtap L2 Agent.

Package: neutron-metadata-agent
Architecture: all
Depends:
 haproxy,
 python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - metadata agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the metadata proxy agent.

Package: neutron-metering-agent
Architecture: all
Depends:
 python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - metering agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the metering agent.

Package: neutron-openvswitch-agent
Architecture: all
Depends:
 conntrack,
 openvswitch-switch,
 python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - Open vSwitch plugin agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Open vSwitch plugin agent.

Package: neutron-ovn-metadata-agent
Architecture: all
Depends:
 haproxy,
 openvswitch-switch,
 python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - OVN metadata agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the OVN metadata proxy agent.

Package: neutron-plugin-ml2
Architecture: all
Provides:
 neutron-plugin,
Depends:
 python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - ML2 plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Modular Layer 2 plugin.

Package: neutron-server
Architecture: all
Depends:
 adduser,
 python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 neutron-plugin-ml2,
Description: Neutron is a virtual network service for Openstack - server
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Neutron server

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/neutron/ neutron-(19\.\d.*)\.tar\.gz

## neutron 19.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=4.0.0 # Apache-2.0

Paste>=2.0.2 # MIT
PasteDeploy>=1.5.0 # MIT
Routes>=2.3.1 # MIT
debtcollector>=1.19.0 # Apache-2.0
decorator>=3.4.0 # BSD
eventlet>=0.25.1 # MIT
pecan>=1.3.2 # BSD
httplib2>=0.9.1 # MIT
requests>=2.18.0 # Apache-2.0
Jinja2>=2.10 # BSD License (3 clause)
keystonemiddleware>=5.1.0 # Apache-2.0
netaddr>=0.7.18 # BSD
netifaces>=0.10.4 # MIT
neutron-lib>=2.15.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
tenacity>=6.0.0 # Apache-2.0
SQLAlchemy>=1.3.23 # MIT
WebOb>=1.8.2 # MIT
keystoneauth1>=3.14.0 # Apache-2.0
alembic>=1.6.5 # MIT
stevedore>=1.20.0 # Apache-2.0
oslo.cache>=1.26.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=8.0.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.db>=4.44.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
oslo.log>=4.5.0 # Apache-2.0
oslo.messaging>=7.0.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=3.7.0 # Apache-2.0
oslo.privsep>=2.3.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.service>=1.31.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
oslo.utils>=4.5.0 # Apache-2.0
oslo.versionedobjects>=1.35.1 # Apache-2.0
osprofiler>=2.3.0 # Apache-2.0
os-ken>=2.0.0 # Apache-2.0
os-resource-classes>=1.1.0 # Apache-2.0
ovs>=2.10.0 # Apache-2.0
ovsdbapp>=1.11.0 # Apache-2.0
packaging>=20.4  # Apache-2.0
psutil>=5.3.0 # BSD
pyroute2>=0.6.4;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
pyOpenSSL>=17.1.0 # Apache-2.0

python-novaclient>=9.1.0 # Apache-2.0
openstacksdk>=0.31.2 # Apache-2.0
python-designateclient>=2.7.0 # Apache-2.0
os-vif>=1.15.1 # Apache-2.0
futurist>=1.2.0 # Apache-2.0
tooz>=1.58.0 # Apache-2.0
wmi>=1.4.9;sys_platform=='win32'  # MIT

=== debian/changelog ===
neutron (2:19.1.0-0ubuntu2) impish; urgency=medium

  * d/neutron-l3-agent.init.in: Drop /etc/neutron/fwaas_driver.ini
    which was removed in a prior package version (LP: #1958863).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 24 Jan 2022 09:50:27 -0500

neutron (2:19.1.0-0ubuntu1) impish; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/xena branch.

  [ Chris MacNaughton ]
  * New stable point release for OpenStack Xena (LP: #1956991).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 10 Jan 2022 19:03:30 +0000
